Повреждение памяти в браузере Safari

Дата публикации:
02.08.2006
Дата изменения:
08.04.2009
Всего просмотров:
2265
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apple Macintosh OS X
Уязвимые версии: Safari 2.0.4 (419.3), возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в функции "KHTMLParser::popOneBlock()". Удаленный пользователь может с помощью элемента сценария в теге div переопределить содержимое страницы и вызвать повреждение памяти.

URL производителя: www.apple.com/macosx/features/safari/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
08.04.2009
Изменена секция "Решение"

Ссылки: Safari KHTMLParser::popOneBlock

или введите имя

CAPTCHA